# randomrna.pl
# DG
# This asks the user for the desired length length of a random RNA string
# and then generates a random RNA string of that length, where the
# frequencies of each nucleotide agree with known averages over many RNA sequences.
# Such sequences are not necessarilly biologically realistic, but provide
# a sensible starting point for empirical exploration of computer programs. The result is put
# into a file called ``randomstring".
#
print "How many nucleotides do you want in the random string?  ";
$n = <>;

open (OUT, '>randomstring');
@rna = ('A', 'U', 'C', 'G');
foreach $k (1 .. $n) {
  $i = int rand(100);
  if ($i < 23) {
     $nuc = 'A';
  }
  if ((23 <= $i) and ($i < 49)) {
      $nuc = 'C';
     }
  if ((49 <= $i) and ($i < 82)) {
     $nuc = 'G';
  }
  if ((82 <= $i) and ($i < 100)) {
     $nuc = 'U';
  }
  print "$nuc";
  print OUT "$nuc";
}
  print "\n";
  print OUT "\n";

print "The random string is also written in file: randomstring \n";
